Summary:       High-level API for X Keyboard Extension
Name:          libxklavier
Version:       5.4
Release:       8%{?dist}
License:       LGPLv2+
URL:           http://www.freedesktop.org/wiki/Software/LibXklavier
Source:        http://people.freedesktop.org/~svu/libxklavier-5.4.tar.bz2

BuildRequires: make
BuildRequires: libxkbfile-devel libX11-devel
BuildRequires: libXi-devel libxml2-devel glib2-devel
BuildRequires: iso-codes-devel gobject-introspection-devel
Requires:      iso-codes

%description
libxklavier is a library which provides a high-level API for the
X Keyboard Extension (XKB). This library is intended to support
XFree86 and other commercial X servers. It is useful for creating
XKB-related software (layout indicators etc).

%package devel
Summary: Development files for libxklavier
Requires: %{name} = %{version}-%{release}
Requires: libxml2-devel

%description devel
This package contains libraries, header files and developer documentation
needed to develop libxklavier applications.

%prep
%setup -q

%build
%configure                              \
  --disable-static                      \
  --with-xkb-base='%{_datadir}/X11/xkb' \
  --with-xkb-bin-base='%{_bindir}'

%make_build

%install
%make_install

%files
%license COPYING.LIB
%doc AUTHORS NEWS README
%{_libdir}/libxklavier.so.16*
%dir %{_libdir}/girepository-1.0
%{_libdir}/girepository-1.0/Xkl-1.0.typelib
%exclude %{_libdir}/*.{a,la}

%files devel
%{_libdir}/pkgconfig/libxklavier.pc
%{_libdir}/libxklavier.so
%{_includedir}/libxklavier/
%{_datadir}/gtk-doc
%dir %{_datadir}/gir-1.0
%{_datadir}/gir-1.0/Xkl-1.0.gir

%changelog
* Thu Sep 26 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 5.4-8
- Rebuilt for clarifying the packages requirement in BaseOS and AppStream

* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 5.4-7
- Rebuilt for loongarch release

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 5.4-6
- Rebuilt for OpenCloudOS Stream 23.09

* Mon Sep 4 2023 wynnfeng <wynnfeng@tencent.com> - 5.4-5
- add unpackaged files

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 5.4-4
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 5.4-3
- Rebuilt for OpenCloudOS Stream 23

* Wed Dec 07 2022 Xiaojie Chen <jackxjchen@tencent.com> - 5.4-2
- Add requirement for libxkbfile-devel 

* Mon Sep 5 2022 Shuo Wang <abushwang@tencent.com> - 5.4-1
- initial build
